> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversation



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/chat/conversations/{conv_id}
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/chat/conversations/{conv_id}:
    get:
      tags:
        - chat
      summary: Get Conversation
      operationId: get_conversation_api_v1_chat_conversations__conv_id__get
      parameters:
        - name: conv_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Conv Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_ConversationHistoryOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ApiResponse_ConversationHistoryOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/ConversationHistoryOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[ConversationHistoryOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConversationHistoryOut:
      properties:
        conversation:
          $ref: '#/components/schemas/ConversationOut'
        messages:
          items:
            $ref: '#/components/schemas/MessageOut'
          type: array
          title: Messages
      type: object
      required:
        - conversation
        - messages
      title: ConversationHistoryOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ConversationOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        tenant_id:
          type: string
          format: uuid
          title: Tenant Id
        locale:
          type: string
          title: Locale
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
        welcome_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Welcome Message
        starter_prompts:
          items:
            type: string
          type: array
          title: Starter Prompts
        chat_enabled:
          type: boolean
          title: Chat Enabled
      type: object
      required:
        - id
        - tenant_id
        - locale
        - session_id
        - welcome_message
        - starter_prompts
        - chat_enabled
      title: ConversationOut
    MessageOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        role:
          type: string
          title: Role
        content:
          type: string
          title: Content
        tool_calls:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Tool Calls
        created_at:
          type: string
          title: Created At
      type: object
      required:
        - id
        - role
        - content
        - created_at
      title: MessageOut

````